Bug 739366 - ati_remote recognizes keys only with double-press with Medion 40010874 X10
Summary: ati_remote recognizes keys only with double-press with Medion 40010874 X10
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 16
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Jarod Wilson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-18 08:31 UTC by Jan Willies
Modified: 2012-11-14 15:25 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-11-14 15:25:18 UTC


Attachments (Terms of Use)

Description Jan Willies 2011-09-18 08:31:57 UTC
Description of problem: My usb remote control is correctly recognized by ati_remote but whatever key I press, I have to double-press it to get the desired effect.

- Medion P/N 40010874
- Made by X10
- pic: http://t2.gstatic.com/images?q=tbn:ANd9GcQAOOQvyFdDuFCn2VwKBlS79F7yyGe9LdEx4v6HCdiakbnLgM0_

Version-Release number of selected component (if applicable): 3.1.0-0.rc6.git0.0.fc16.x86_64


How reproducible: always


Steps to Reproduce:
1. plugin remote control
2. press buttons
3. watch /var/log/messages
  
Actual results: 

When I just press and hold "2" I get this:

Sep 18 10:26:02 thinkpad-x300 kernel: [31383.656913] ati_remote 5-1:1.0: Unknown input from channel 0x00: data 63,8e
Sep 18 10:26:02 thinkpad-x300 kernel: [31383.696883] ati_remote 5-1:1.0: Unknown input from channel 0x00: data 63,8e
Sep 18 10:26:02 thinkpad-x300 kernel: [31383.736898] ati_remote 5-1:1.0: Unknown input from channel 0x00: data 63,8e
Sep 18 10:26:02 thinkpad-x300 kernel: [31383.776914] ati_remote 5-1:1.0: Unknown input from channel 0x00: data 63,8e
Sep 18 10:26:02 thinkpad-x300 kernel: [31383.824916] ati_remote 5-1:1.0: Unknown input from channel 0x00: data 63,8e
Sep 18 10:26:02 thinkpad-x300 kernel: [31383.864912] ati_remote 5-1:1.0: Unknown input from channel 0x00: data 63,8e
Sep 18 10:26:02 thinkpad-x300 kernel: [31383.904888] ati_remote 5-1:1.0: Unknown input from channel 0x00: data 63,8e
Sep 18 10:26:02 thinkpad-x300 kernel: [31383.944907] ati_remote 5-1:1.0: Unknown input from channel 0x00: data 63,8e
Sep 18 10:26:02 thinkpad-x300 kernel: [31383.984925] ati_remote 5-1:1.0: Unknown input from channel 0x00: data 63,8e
Sep 18 10:26:02 thinkpad-x300 kernel: [31384.032921] ati_remote 5-1:1.0: Unknown input from channel 0x00: data 63,8e
Sep 18 10:26:02 thinkpad-x300 kernel: [31384.072931] ati_remote 5-1:1.0: Unknown input from channel 0x00: data 63,8e
Sep 18 10:26:02 thinkpad-x300 kernel: [31384.112913] ati_remote 5-1:1.0: Unknown input from channel 0x00: data 63,8e
Sep 18 10:26:02 thinkpad-x300 kernel: [31384.152909] ati_remote 5-1:1.0: Unknown input from channel 0x00: data 63,8e
[...]

When I double press and hold "2" I get this:

Sep 18 10:24:58 thinkpad-x300 kernel: [31319.723146] uhci_hcd 0000:00:1a.0: PCI INT A disabled
Sep 18 10:25:00 thinkpad-x300 kernel: [31322.359966] ati_remote 5-1:1.0: Unknown input from channel 0x00: data 63,8e
Sep 18 10:25:00 thinkpad-x300 kernel: [31322.399971] ati_remote 5-1:1.0: Unknown input from channel 0x00: data 63,8e
Sep 18 10:25:00 thinkpad-x300 kernel: [31322.439946] ati_remote 5-1:1.0: Unknown input from channel 0x00: data 63,8e
Sep 18 10:25:00 thinkpad-x300 kernel: [31322.479946] ati_remote 5-1:1.0: Unknown input from channel 0x00: data 63,8e
222222222222


Expected results: just 22222


Additional info: Vol+ (data 5e,89) and Vol- (data 5d,88) keys have to be exchanged. Also, Mute-button just spits out data 55,80 and doesn't mute.

Comment 1 Jan Willies 2011-09-18 08:33:54 UTC
hm, bug-component should probably be the kernel and not lirc-kmod?

Comment 2 Dave Jones 2012-03-22 17:12:59 UTC
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.

Comment 3 Dave Jones 2012-03-22 17:15:09 UTC
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.

Comment 4 Dave Jones 2012-03-22 17:24:18 UTC
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.

Comment 5 Jan Willies 2012-03-27 10:03:04 UTC
Indeed, it works better now. The double-press is gone, it works on a single click. Also, no log spamming anymore.

However, some keys don't work:
- Stop
- Fast Forward (doesn't work in Totem, skips a whole track in Rhythmbox)
- Previous Title
- Next Title
- Ok

Mar 27 11:50:22 thinkpad-x300 kernel: [18447.828081] usb 5-2: new low-speed USB device number 2 using uhci_hcd
Mar 27 11:50:22 thinkpad-x300 kernel: [18448.047142] usb 5-2: New USB device found, idVendor=0bc7, idProduct=0006
Mar 27 11:50:22 thinkpad-x300 kernel: [18448.047152] usb 5-2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
Mar 27 11:50:22 thinkpad-x300 kernel: [18448.047160] usb 5-2: Product: USB Receiver
Mar 27 11:50:22 thinkpad-x300 kernel: [18448.047165] usb 5-2: Manufacturer: X10 Wireless Technology Inc
Mar 27 11:50:22 thinkpad-x300 lt-mtp-probe: checking bus 5, device 2: "/sys/devices/pci0000:00/0000:00:1d.0/usb5/5-2"
Mar 27 11:50:22 thinkpad-x300 lt-mtp-probe: bus: 5, device: 2 was not an MTP device
Mar 27 11:50:22 thinkpad-x300 kernel: [18448.219598] IR NEC protocol handler initialized
Mar 27 11:50:22 thinkpad-x300 kernel: [18448.223958] IR RC5(x) protocol handler initialized
Mar 27 11:50:22 thinkpad-x300 kernel: [18448.226501] IR RC6 protocol handler initialized
Mar 27 11:50:22 thinkpad-x300 kernel: [18448.229698] IR JVC protocol handler initialized
Mar 27 11:50:22 thinkpad-x300 kernel: [18448.233974] IR Sony protocol handler initialized
Mar 27 11:50:22 thinkpad-x300 kernel: [18448.237104] IR SANYO protocol handler initialized
Mar 27 11:50:22 thinkpad-x300 kernel: [18448.239909] IR MCE Keyboard/mouse protocol handler initialized
Mar 27 11:50:22 thinkpad-x300 kernel: [18448.245805] lirc_dev: IR Remote Control driver registered, major 249
Mar 27 11:50:22 thinkpad-x300 kernel: [18448.246981] IR LIRC bridge handler initialized
Mar 27 11:50:22 thinkpad-x300 kernel: [18448.250052] Registered IR keymap rc-medion-x10
Mar 27 11:50:22 thinkpad-x300 kernel: [18448.250347] input: X10 Wireless Technology Inc USB Receiver as /devices/pci0000:00/0000:00:1d.0/usb5/5-2/5-2:1.0/rc/rc0/input13
Mar 27 11:50:22 thinkpad-x300 kernel: [18448.250505] rc0: X10 Wireless Technology Inc USB Receiver as /devices/pci0000:00/0000:00:1d.0/usb5/5-2/5-2:1.0/rc/rc0
Mar 27 11:50:22 thinkpad-x300 kernel: [18448.250660] input: X10 Wireless Technology Inc USB Receiver mouse as /devices/pci0000:00/0000:00:1d.0/usb5/5-2/5-2:1.0/input/input14
Mar 27 11:50:22 thinkpad-x300 kernel: [18448.251500] usbcore: registered new interface driver ati_remote

Comment 6 Jan Willies 2012-03-27 10:04:43 UTC
I reported initially Vol+/- were switched and Mute didn't work. They work as intended now, so that's fixed. Thanks

Comment 7 Dave Jones 2012-10-23 15:34:43 UTC
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).

Comment 8 Justin M. Forbes 2012-11-14 15:25:18 UTC
With no response, we are closing this bug under the assumption that it is no longer an issue. If you still experience this bug, please feel free to reopen the bug report.


Note You need to log in before you can comment on or make changes to this bug.